# Optimal layout of obstacle

This folder contains the example of finding the optimal position and orientation of six obstacles in a channel, where the goal is to reduce the dissipated energy.

## How to run the example

Using the docker image provided at [Dockerhub](https://hub.docker.com/r/dokken92/multimesh-uflacs/dockerfile), the first step is to generate the meshes by running `python3 create_meshes.py`. Then, the example can be ran by executing `python3 optimal_layout.py`.

To generate the table for timings of operations (Table 7 in the paper), run:
`python3 timings.py`

To generate the figure of the evolution of the functional (Figure 9 in the paper), run `python3 functional_tracking.py`