# Taylor Green benchmark

This folder contains the code for running the Taylor-Green example with three ovverlapping meshes, doing a convergence study.

Usage
------
To reproduce results for spatial convergence:

`python3 TaylorGreen.py --spatial --BDF2 --implicit`

and update tables in paper after simulation is finished:

`python3 latex_table.py --spatial --BDF2 --implicit`

Similarly for temporal convergence:

`python3 MM_IPCS_Taylor_Green_BDF2.py --temporal` and
`python3 latex_table.py --temporal`
